Subject: bug#61557: bug database indexing problem for bug #61557

From: Michael Albinus <[email-masked]>
Date: Sat, 25 Feb 2023 09:58:57 +0100

Ethan Blanton via "General discussion for the tracker at
debbugs.gnu.org" <[email-masked]> writes:

Hi Ethan,

> Bug #61557, filed against the vdirsyncer package in Guix and having
> the title "vdirsyncer fails to verify certificates", does not show up
> in the Guix bug database at issues.guix.gnu.org when searching by
> keywords such as "vdirsyncer" or "certificates", although it does
> appear when searching for "61557".

When I search for vdirsyncer, bug#61557 appears in the hit list.

Searching for certificates does not show such a hit. However, in the bug
messages this word appears only as certificates" or "certificates". This
seems to prevent the word to be indexed. The HyperEstraier search engine
counts only words, and a leading or trailing apostrophe seems to
suppress a string to be regarded as word. Just a guess, but it is the
most plausible explanation.

Best regards, Michael.